Summary:          PCAP SIP Dump tool
Name:             pcapsipdump
Version:          0.2
Release:          1%{?dist}
License:          GPLv2+
Group:            Utilities/System
Source0:          http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:          pcapsipdump.service
Patch0:           pcapsipdump-trunk.patch
URL:              http://pcapsipdump.sourceforge.net/
BuildRequires:    libpcap-devel gcc-c++
%if 0%{?rhel} >= 7
BuildRequires:    systemd-units
Requires(pre):    shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
%else
Requires(post):   chkconfig
Requires(preun):  chkconfig
Requires(preun):  initscripts
%endif
Requires:         libpcap
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%global           debug_package %{nil}


%description
pcapsipdump is a tool for dumping SIP sessions (+RTP
traffic, if available) to disk in a fashion similar
to "tcpdump -w" (format is exactly the same), but one
file per sip session (even if there is thousands of
concurrent SIP sessions).


%prep
%setup
%patch0 -p1


%build
make


%install
%if 0%{?rhel} >= 7
  %{__install} -p -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
%else
  %{__install} -p -D -m 0755 redhat/%{name}.init %{buildroot}%{_initrddir}/%{name}
%endif
%{__install} -p -D -m 0644 redhat/%{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -p -D -m 0755 %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/spool/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%if 0%{?rhel} >= 7
if [ $1 -eq 1 ]; then
  # Initial installation
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
%else
/sbin/chkconfig --add %{name}
%endif


%preun
%if 0%{?rhel} >= 7
if [ $1 -eq 0 ]; then
  # Package removal, not upgrade
  /bin/systemctl --no-reload disable %{name}.service > /dev/null 2>&1 || :
  /bin/systemctl stop %{name}.service > /dev/null 2>&1 || :
fi
%else
if [ $1 -eq 0 ]; then
  /sbin/service %{name} stop > /dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi
%endif


%files
%doc ChangeLog LICENSE README.txt
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/sysconfig/%{name}
%attr(0700,root,root) %dir %{_localstatedir}/spool/%{name}
%attr(0755,root,root)      %{_sbindir}/%{name}
%if 0%{?fedora} > 16 || 0%{?rhel} > 6
%{_unitdir}/%{name}.service
%else
%attr(0755,root,root)      %{_initrddir}/%{name}
%endif


%changelog
* Thu Nov 24 2016 Ernani Azevedo <azevedo@voipdomain.io> - 0.2-1
- First version of this spec file
